PROGRAM File_Binario_Sequenziale
!-------------------------------------------------------------------------
! Converte un file di testo a binario sequenziale.
!-------------------------------------------------------------------------
  IMPLICIT NONE
  CHARACTER(LEN=10) :: nome
  INTEGER,DIMENSION(5) :: voti
  INTEGER :: ok

  OPEN (UNIT=1, FILE='archivio.txt')
  OPEN (UNIT=2, FILE='archivio.dat', FORM='UNFORMATTED', STATUS='REPLACE')
!   Valori di FORM: 'FORMATTED', testo, default
!                   'UNFORMATTED', binario

  DO
    READ(1,*,IOSTAT=ok) nome, voti   ! Leggi e controlla cond. errore (EOF)
    IF (ok/=0)  EXIT
    WRITE(2) nome, voti
!     Scrittura binaria: manca il formato!
!     La lettura si effettua in modo analogo
  END DO
  STOP
END PROGRAM File_Binario_Sequenziale
